Skip to content

List Donor Soft Credits

Request

Lists all the soft credits for a donor

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

donorIdstringrequired

The contact id

Query
exclusiveStartKeystring

The contact id

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/softCredits/{donorId}?exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The soft credits was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
amountnumber, (float)(Amount)required

Gift amount

amount_allocated_to_primary_fundnumber, (float)(Amount Allocated To Primary Fund)required

When gift is split, this is the amount that is allocated to the primary fund

amount_allocated_to_splitsnumber, (float)(Amount Allocated To Splits)required

When gift is split, this is the amount that is allocated to splits

anonymousboolean(Anonymous)

Anonymous

appeal_idstring(Appeal)

The id for the appeal associated with the gift

campaign_idstring(Campaign)

The id for the campaign associated with the gift

contact_idstring(Contact)required

The rolodex contact id for the gift giver

cover_transaction_costsboolean(Cover Transaction Costs)

If selected, the donor covers the transaction fees

currency_codestring(Currency Code)

The currency code of the gift

currency_symbolstring(Currency Symbol)

Currency

custom_field_valuesArray of objects(Custom Field Values)
datestring(Date)

The creation date for the gift

detailsstring(Details)

Any details about the gift

donor_idstring(Donor)required

The donor record associated with this gift

donor_typestring(Donor Type)required

The donor type for the gift

Enum:"contact""organization"
fund_idstring(Fund)required

The id for the fund associated with the gift

giving_process_idstring(Giving Process)

The process of that led to the gift

has_soft_creditsboolean(Has Soft Credits)

If true, this gift has soft credits to others

has_splitsboolean(Has Splits)

If true, this gift is split into different funds

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this gift

make_recurringboolean(Make Recurring)

Whether to make this a recurring gift

master_gift_idstring(Master Gift)required

If this gift is linked to another, it is here

notesstring(Notes)

Notes about the gift

numbernumber, (float)(Number)

The gift number

order_idstring(Order)

The id for the order associated with the gift

order_line_item_idstring(Order Line Item)

The id for the order line item associated with the gift

organization_idstring(Organization)required

The organization id associated with this gift

payment_idstring(Payment)required

The payment that generated this gift

planned_gift_infoobject(Planned Gift Info)required

Information about the gift if type is planned

pledge_idstring(Pledge)required

The pledge associated with this gift

premium_assignmentstring(Premium Assignment)
Enum:"assigned""declined by donor""not applicable"
premium_fair_market_valuenumber, (float)(Premium Fair Market Value)

The amount of any premiums associated with the gift

premium_idstring(Premium)

If the user has selected a premium it is here

recurring_frequencystring(Recurring Frequency)
Enum:"monthly""quarterly""yearly"
recurring_gift_end_datestring(Recurring Gift End Date)

optional end date for gift

recurring_gift_idstring(Recurring Gift)

The id for the recurring gift associated with this gift

refund_idstring(Refund)required

The payment that generated this gift

shipping_addressobject(Address)

A complete address

soft_creditsArray of objects, non-emptyrequired
splitsArray of objects

An array of fund allocations for this gift

stock_gift_infoobject(Stock Gift Info)required

Information about the gift if type is a stock

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tax_deductible_amountnumber, (float)(Tax Deductible Amount)required

The amount of the gift less any premiums

tribute_giftboolean(Tribute Gift)

Whether or not this is a tribute gift

tribute_gift_infoobject(Tribute Gift Info)
typestring(Type)required

The type of gift

Enum:"cash""in kind""matching""planned""pledge payment""pledge payment reversal""stock"
Response
{ "amount": 0.1, "amount_allocated_to_primary_fund": 0.1, "amount_allocated_to_splits": 0.1, "anonymous": true, "appeal_id": "string", "campaign_id": "string", "contact_id": "string", "cover_transaction_costs": true, "currency_code": "string", "currency_symbol": "string", "custom_field_values": [ { … } ], "date": "string", "details": "string", "donor_id": "string", "donor_type": "contact", "fund_id": "string", "giving_process_id": "string", "has_soft_credits": true, "has_splits": true, "id": "string", "make_recurring": true, "master_gift_id": "string", "notes": "string", "number": 0.1, "order_id": "string", "order_line_item_id": "string", "organization_id": "string", "payment_id": "string", "planned_gift_info": { "anticipated_date": "2019-08-24T14:15:22Z" }, "pledge_id": "string", "premium_assignment": "assigned", "premium_fair_market_value": 0.1, "premium_id": "string", "recurring_frequency": "monthly", "recurring_gift_end_date": "string", "recurring_gift_id": "string", "refund_id": "string", "shipping_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "soft_credits": [ { … } ], "splits": [ { … } ], "stock_gift_info": { "number_of_shares": 0.1, "stock_symbol": "string" }, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tax_deductible_amount": 0.1, "tribute_gift": true, "tribute_gift_info": { "address": { … }, "contact_id": "string", "details": "string", "email_address": "user@example.com", "inform_honoree": true, "inform_honoree_by": "email", "message": "string", "name": "string", "type": "in honor of" }, "type": "cash" }